Bug 251917 - archivers/innoextract: update to 1.9
Summary: archivers/innoextract: update to 1.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://github.com/dscharrer/innoextr...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-12-17 10:35 UTC by Nuno Teixeira
Modified: 2021-01-16 16:11 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (lifanov)


Attachments
Sugested git patch (913 bytes, patch)
2020-12-17 10:35 UTC, Nuno Teixeira
ed.arrakis: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nuno Teixeira 2020-12-17 10:35:00 UTC
Created attachment 220660 [details]
Sugested git patch

Hello,

- Update to 1.9.

Tested with inno setup 6.1.0
Inspecting "Inno Setup" - setup data version 6.1.0 (unicode)

Extract ok.

- Off-topic:

I will use this port for learning about cmake. This is a perfect one that don't need patches to tell cmake tweaks about installing things.

I am maintainer of games/devilutionx that uses cmake too and I don't know how to tell upstream to avoid a simple patch like:

--- CMakeLists.txt.orig 2020-10-15 09:55:17 UTC
+++ CMakeLists.txt

+install(TARGETS devilutionx                            DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(FILES   Packaging/fedora/devilutionx.desktop   DESTINATION ${CMAKE_INSTALL_SHAREDIR}/applications)
+install(FILES   Packaging/resources/icon.png           DESTINATION ${CMAKE_INSTALL_SHAREDIR}/icons/hicolor/512x512/apps RENAME devilutionx.png)
+install(FILES   Packaging/resources/icon_solid.png     DESTINATION ${CMAKE_INSTALL_SHAREDIR}/icons/hicolor/512x512/apps RENAME devilutionx_solid.png)

Thanks!

Nuno Teixeira
Comment 1 Nuno Teixeira 2020-12-17 10:36:30 UTC
My first diff using git!

git diff . > /tmp/`make -VPKGNAME`.diff

:)
Comment 2 Automation User 2021-01-01 00:39:25 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/236309351
Comment 3 Kurt Jaeger freebsd_committer 2021-01-16 16:11:34 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2021-01-16 16:11:41 UTC
A commit references this bug:

Author: pi
Date: Sat Jan 16 16:11:31 UTC 2021
New revision: 561730
URL: https://svnweb.freebsd.org/changeset/ports/561730

Log:
  archivers/innoextract: update 1.8 -> 1.9

  PR:		251917
  Submitted by:	Nuno Teixeira <ed.arrakis@gmail.com>
  Approved by:	lifanov (maintainer timeout)
  Relnotes:	https://github.com/dscharrer/innoextract/releases/tag/1.9

Changes:
  head/archivers/innoextract/Makefile
  head/archivers/innoextract/distinfo